/*****************************************************************************
**                  Program pro zmenu systemoveho datumu .                  **
** Vhodne pro programy, ktere se daji spoustet jen v urcitem casovem obdobi.**
*****************************************************************************/

#include <stdio.h>
#include <dos.h>
#include <stdlib.h>

FILE *fp;


void message(int number)
{
	fclose(fp);

	switch(number) {
	case(1):
		printf("\nSoubor nelze otevrit nebo bylo zadano nespravne datum !\n");
		exit(0);
	case(2):
		printf("\nSystemove datum bylo zmeneno !\n");
    }
return;
}


int main(int argc, char **argv)
{
	int field[3];
	struct dosdate_t d;
	struct dosdate_t reset;

	switch(argc) {

	case(5):
		_dos_getdate(&d);
		field[0] = d.day;
		field[1] = d.month;
		field[2] = d.year;

		fp = fopen(argv[1], "w");
		if(!fp)
			message(1);
		fwrite(field, sizeof(int), 3, fp);

		reset.day   = atoi(argv[2]);
		reset.month = atoi(argv[3]);
		reset.year  = atoi(argv[4]);
		if( _dos_setdate(&reset) )
			message(1);

		break;

	case(2):
		fp = fopen(argv[1], "r");
		if(!fp)
			message(1);
		fread(field, sizeof(int), 3, fp);

		reset.day   = field[0];
		reset.month = field[1];
		reset.year  = field[2];
		if( _dos_setdate(&reset) )
			message(1);

		break;

	default:
printf("\n                  Program pro zmenu systemoveho datumu.");
printf("\n                           Vhodne pro programy,");
printf("\n           ktere se daji spoustet jen v urcitem casovem obdobi.");
printf("\n                          @1997 KOSTURIK Martin");
printf("\nFORMAT PRIKAZU :");
printf("\n1) ulozeni aktualniho data do souboru FILENAME a");
printf("\n   nasteveni noveho data DEN.MESIC.ROK");
printf("\n=> chdate FILENAME DEN MESIC ROK");
printf("\n2) znovunastaveni puvodniho data ze souboru FILENAME");
printf("\n=> chdate FILENAME\n");

		return(0);
	}
	message(2);

return(1);
}
